MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027562Open CASCADE[OCCT] OCCT:Codingpublic2016-06-02 16:542016-12-09 16:37
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027562: Coding - avoid exporting of inline methods
DescriptionStandard_EXPORT is used for inline methods in many places.
This leads to redundant symbols exported by every library using OCCT.

public: __cdecl BRepMesh_CircleInspector::BRepMesh_CircleInspector(double,int,class opencascade::handle<class 
NCollection_IncAllocator> const & __ptr64) __ptr64
public: __cdecl BRepMesh_Edge::BRepMesh_Edge(int,int,enum BRepMesh_DegreeOfFreedom) __ptr64
public: __cdecl BRepMesh_Edge::BRepMesh_Edge(void) __ptr64
public: __cdecl BRepMesh_OrientedEdge::BRepMesh_OrientedEdge(int,int) __ptr64
public: __cdecl BRepMesh_OrientedEdge::BRepMesh_OrientedEdge(void) __ptr64
public: __cdecl BRepMesh_PairOfIndex::BRepMesh_PairOfIndex(void) __ptr64
public: __cdecl BRepMesh_PairOfPolygon::BRepMesh_PairOfPolygon(void) __ptr64
public: __cdecl BRepMesh_Triangle::BRepMesh_Triangle(int const (& __ptr64)[3],unsigned int const 
(& __ptr64)[3],enum BRepMesh_DegreeOfFreedom) __ptr64
public: __cdecl BRepMesh_Triangle::BRepMesh_Triangle(void) __ptr64
public: __cdecl BRepMesh_Vertex::BRepMesh_Vertex(class gp_XY const & __ptr64,int,enum BRepMesh_DegreeOfFreedom) 
__ptr64
public: __cdecl BRepMesh_Vertex::BRepMesh_Vertex(double,double,enum BRepMesh_DegreeOfFreedom) __ptr64

public: __cdecl BRepMesh_Vertex::BRepMesh_Vertex(void) __ptr64
public: __cdecl BRepMesh_VertexInspector::BRepMesh_VertexInspector(int,class opencascade::handle<class 
NCollection_IncAllocator> const & __ptr64) __ptr64
public: __cdecl gp_Ax3::gp_Ax3(class gp_Ax2 const & __ptr64) __ptr64
public: __cdecl gp_Ax3::gp_Ax3(class gp_Pnt const & __ptr64,class gp_Dir const & __ptr64,class 
gp_Dir const & __ptr64) __ptr64
public: __cdecl gp_Ax3::gp_Ax3(void) __ptr64
public: __cdecl gp_Lin::gp_Lin(class gp_Pnt const & __ptr64,class gp_Dir const & __ptr64) __ptr64

public: __cdecl gp_Quaternion::gp_Quaternion(class gp_Mat const & __ptr64) __ptr64
public: __cdecl gp_Quaternion::gp_Quaternion(class gp_Quaternion const & __ptr64) __ptr64
public: __cdecl gp_Quaternion::gp_Quaternion(class gp_Vec const & __ptr64,class gp_Vec const & 
__ptr64) __ptr64
public: __cdecl gp_Quaternion::gp_Quaternion(class gp_Vec const & __ptr64,class gp_Vec const & 
__ptr64,class gp_Vec const & __ptr64) __ptr64
public: __cdecl gp_Quaternion::gp_Quaternion(class gp_Vec const & __ptr64,double) __ptr64
public: __cdecl gp_Quaternion::gp_Quaternion(double,double,double,double) __ptr64
public: class BRepMesh_Edge const & __ptr64 __cdecl BRepMesh_DataStructureOfDelaun::GetLink(int) 
__ptr64
public: class BRepMesh_PairOfIndex const & __ptr64 __cdecl BRepMesh_DataStructureOfDelaun::ElementsConnectedTo(int)const 
__ptr64
public: class BRepMesh_Triangle const & __ptr64 __cdecl BRepMesh_DataStructureOfDelaun::GetElement(int) 
__ptr64
public: class gp_Ax2 __cdecl gp_Ax3::Ax2(void)const __ptr64
public: class gp_Ax3 __cdecl gp_Ax3::Rotated(class gp_Ax1 const & __ptr64,double)const __ptr64
public: class gp_Ax3 __cdecl gp_Ax3::Scaled(class gp_Pnt const & __ptr64,double)const __ptr64
public: class gp_Ax3 __cdecl gp_Ax3::Transformed(class gp_Trsf const & __ptr64)const __ptr64
public: class gp_Ax3 __cdecl gp_Ax3::Translated(class gp_Pnt const & __ptr64,class gp_Pnt const & 
__ptr64)const __ptr64
public: class gp_Ax3 __cdecl gp_Ax3::Translated(class gp_Vec const & __ptr64)const __ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Added(class gp_Quaternion const & __ptr64)const 
__ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Inverted(void)const __ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Multiplied(class gp_Quaternion const & __ptr64)const 
__ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Negated(void)const __ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Normalized(void)const __ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Reversed(void)const __ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Scaled(double)const __ptr64
public: class gp_Quaternion __cdecl gp_Quaternion::Subtracted(class gp_Quaternion const & __ptr64)const 
__ptr64
public: class Message_ProgressScale const & __ptr64 __cdecl Message_ProgressIndicator::GetScope(int)const 
__ptr64
public: class opencascade::handle<class Message_Messenger> __cdecl TObj_Model::Messenger(void)const 
__ptr64
public: class opencascade::handle<class TCollection_HExtendedString> __cdecl TObj_Partition::GetNamePrefix(void)const 
__ptr64
public: class TCollection_AsciiString const & __ptr64 __cdecl TDF_Transaction::Name(void)const __ptr64

public: double __cdecl gp_Ax2::Angle(class gp_Ax2 const & __ptr64)const __ptr64
public: double __cdecl gp_Pnt2d::Coord(int)const __ptr64
public: double __cdecl gp_Quaternion::Dot(class gp_Quaternion const & __ptr64)const __ptr64
public: double __cdecl gp_Quaternion::Norm(void)const __ptr64
public: double __cdecl gp_Quaternion::SquareNorm(void)const __ptr64
public: double __cdecl gp_Quaternion::W(void)const __ptr64
public: double __cdecl gp_Quaternion::X(void)const __ptr64
public: double __cdecl gp_Quaternion::Y(void)const __ptr64
public: double __cdecl gp_Quaternion::Z(void)const __ptr64
public: int __cdecl BRepMesh_DataStructureOfDelaun::IndexOf(class BRepMesh_Edge const & __ptr64)const 
__ptr64
public: int __cdecl BRepMesh_DataStructureOfDelaun::IndexOf(class BRepMesh_Triangle const & __ptr64)const 
__ptr64
public: int __cdecl BRepMesh_DataStructureOfDelaun::IndexOf(class BRepMesh_Vertex const & __ptr64) 
__ptr64
public: int __cdecl BRepMesh_OrientedEdge::HashCode(int)const __ptr64
public: int __cdecl BRepMesh_Triangle::HashCode(int)const __ptr64
public: int __cdecl BRepMesh_Vertex::HashCode(int)const __ptr64
public: int __cdecl BRepMesh_VertexInspector::Add(class BRepMesh_Vertex const & __ptr64) __ptr64

public: int __cdecl BRepMesh_VertexTool::FindIndex(class BRepMesh_Vertex const & __ptr64) __ptr64

public: int __cdecl Message_ProgressIndicator::GetNbScopes(void)const __ptr64
public: int __cdecl Standard_Transient::GetRefCount(void)const __ptr64
public: int __cdecl TDF_Data::Transaction(void)const __ptr64
public: static class opencascade::handle<class Standard_Type> __cdecl opencascade::type_instance<void>::get(void)

public: static double __cdecl Precision::Angular(void)
public: static double __cdecl Precision::Approximation(void)
public: static double __cdecl Precision::Confusion(void)
public: static double __cdecl Precision::Infinite(void)
public: static double __cdecl Precision::Intersection(void)
public: static double __cdecl Precision::PApproximation(double)
public: static double __cdecl Precision::Parametric(double)
public: static double __cdecl Precision::PConfusion(double)
public: static double __cdecl Precision::PIntersection(double)
public: static double __cdecl Precision::SquareConfusion(void)
public: static unsigned int __cdecl BRepMesh_CircleInspector::IsEqual(int,int)
public: static unsigned int __cdecl BRepMesh_VertexInspector::IsEqual(int,int)
public: static unsigned int __cdecl Precision::IsInfinite(double)
public: static unsigned int __cdecl Precision::IsNegativeInfinite(double)
public: static unsigned int __cdecl Precision::IsPositiveInfinite(double)
public: unsigned int __cdecl BRepMesh_Triangle::IsEqual(class BRepMesh_Triangle const & __ptr64)const 
__ptr64
public: unsigned int __cdecl BRepMesh_Triangle::operator==(class BRepMesh_Triangle const & __ptr64)const 
__ptr64
public: unsigned int __cdecl BRepMesh_Vertex::IsEqual(class BRepMesh_Vertex const & __ptr64)const 
__ptr64
public: unsigned int __cdecl BRepMesh_Vertex::operator==(class BRepMesh_Vertex const & __ptr64)const 
__ptr64
public: unsigned int __cdecl gp_Ax2::IsCoplanar(class gp_Ax2 const & __ptr64,double,double)const 
__ptr64
public: virtual __cdecl Standard_ErrorHandlerCallback::~Standard_ErrorHandlerCallback(void) __ptr64

public: virtual class opencascade::handle<class TCollection_HExtendedString> __cdecl TObj_Object::GetNameForClone(class 
opencascade::handle<class TObj_Object> const & __ptr64)const __ptr64
public: virtual unsigned int __cdecl TObj_Partition::Update(void) __ptr64
public: virtual void __cdecl TObj_Object::BeforeForgetReference(class TDF_Label const & __ptr64) 
__ptr64
public: void __cdecl Bnd_B2d::Add(class gp_Pnt2d const & __ptr64) __ptr64
public: void __cdecl BRepMesh_DataStructureOfDelaun::ClearDeleted(void) __ptr64
public: void __cdecl BRepMesh_DataStructureOfDelaun::RemoveNode(int,unsigned int) __ptr64
public: void __cdecl BRepMesh_VertexTool::GetTolerance(double & __ptr64,double & __ptr64) __ptr64

public: void __cdecl BRepMesh_VertexTool::SetCellSize(double) __ptr64
public: void __cdecl BRepMesh_VertexTool::SetCellSize(double,double) __ptr64
public: void __cdecl BRepMesh_VertexTool::SetTolerance(double) __ptr64
public: void __cdecl BRepMesh_VertexTool::SetTolerance(double,double) __ptr64
public: void __cdecl gp_Ax2::SetAxis(class gp_Ax1 const & __ptr64) __ptr64
public: void __cdecl gp_Ax2::SetDirection(class gp_Dir const & __ptr64) __ptr64
public: void __cdecl gp_Ax2::SetLocation(class gp_Pnt const & __ptr64) __ptr64
public: void __cdecl gp_Ax2::SetXDirection(class gp_Dir const & __ptr64) __ptr64
public: void __cdecl gp_Ax2::SetYDirection(class gp_Dir const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::Rotate(class gp_Ax1 const & __ptr64,double) __ptr64
public: void __cdecl gp_Ax3::Scale(class gp_Pnt const & __ptr64,double) __ptr64
public: void __cdecl gp_Ax3::SetAxis(class gp_Ax1 const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::SetDirection(class gp_Dir const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::SetLocation(class gp_Pnt const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::SetXDirection(class gp_Dir const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::Transform(class gp_Trsf const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::Translate(class gp_Pnt const & __ptr64,class gp_Pnt const & __ptr64) 
__ptr64
public: void __cdecl gp_Ax3::Translate(class gp_Vec const & __ptr64) __ptr64
public: void __cdecl gp_Ax3::XReverse(void) __ptr64
public: void __cdecl gp_Ax3::YReverse(void) __ptr64
public: void __cdecl gp_Ax3::ZReverse(void) __ptr64
public: void __cdecl gp_Quaternion::Add(class gp_Quaternion const & __ptr64) __ptr64
public: void __cdecl gp_Quaternion::Invert(void) __ptr64
public: void __cdecl gp_Quaternion::Multiply(class gp_Quaternion const & __ptr64) __ptr64
public: void __cdecl gp_Quaternion::Reverse(void) __ptr64
public: void __cdecl gp_Quaternion::Scale(double) __ptr64
public: void __cdecl gp_Quaternion::Set(class gp_Quaternion const & __ptr64) __ptr64
public: void __cdecl gp_Quaternion::Set(double,double,double,double) __ptr64
public: void __cdecl gp_Quaternion::SetIdent(void) __ptr64
public: void __cdecl gp_Quaternion::Subtract(class gp_Quaternion const & __ptr64) __ptr64
public: void __cdecl gp_Torus::VReverse(void) __ptr64
public: void __cdecl gp_Trsf::SetForm(enum gp_TrsfForm) __ptr64
public: void __cdecl NCollection_IncAllocator::`default constructor closure'(void) __ptr64
public: void __cdecl OpenGl_Context::`default constructor closure'(void) __ptr64
public: void __cdecl OpenGl_ShaderProgram::`default constructor closure'(void) __ptr64
public: void __cdecl OpenGl_Texture::`default constructor closure'(void) __ptr64
public: void __cdecl Standard_Mutex::Unlock(void) __ptr64
public: void __cdecl Standard_OutOfMemory::`default constructor closure'(void) __ptr64
public: void __cdecl TDF_Transaction::`default constructor closure'(void) __ptr64
public: void __cdecl TDocStd_Document::SetNestedTransactionMode(unsigned int) __ptr64
public: void __cdecl TObj_Model::SetLabel(class TDF_Label const & __ptr64) __ptr64
public: void __cdecl TObj_Model::SetMessenger(class opencascade::handle<class Message_Messenger> 
const & __ptr64) __ptr64
public: class NCollection_List<class opencascade::handle<class PrsMgr_PresentableObject> > 
const & __ptr64 __cdecl PrsMgr_PresentableObject::Children(void)const __ptr64
public: class PrsMgr_PresentableObject * __ptr64 __cdecl PrsMgr_PresentableObject::Parent(void)const 
__ptr64
public: double __cdecl AIS_InteractiveObject::Width(void)const __ptr64
public: enum PrsMgr_TypeOfPresentation3d __cdecl PrsMgr_PresentableObject::TypeOfPresentation3d(void)const 
__ptr64
public: int __cdecl SelectBasics_SensitiveEntity::SensitivityFactor(void)const __ptr64
public: unsigned int __cdecl AIS_InteractiveObject::HasMaterial(void)const __ptr64
public: unsigned int __cdecl PrsMgr_PresentableObject::HasOwnPresentations(void)const __ptr64
public: unsigned int __cdecl PrsMgr_PresentationManager::IsImmediateModeOn(void)const __ptr64
public: virtual __cdecl Select3D_SensitiveSet::~Select3D_SensitiveSet(void) __ptr64
public: virtual __cdecl SelectMgr_SelectingVolumeManager::~SelectMgr_SelectingVolumeManager(void) __ptr64

public: virtual class NCollection_Handle<class SelectMgr_BaseFrustum> __cdecl SelectMgr_BaseFrustum::ScaleAndTransform(int,class 
gp_Trsf const & __ptr64) __ptr64
public: virtual enum Graphic3d_NameOfMaterial __cdecl AIS_InteractiveObject::Material(void)const __ptr64

public: virtual void __cdecl SelectMgr_BaseFrustum::SetViewClipping(class NCollection_Sequence<class 
opencascade::handle<class Graphic3d_ClipPlane> > const & __ptr64) __ptr64
public: void __cdecl AIS_InteractiveObject::`default constructor closure'(void) __ptr64
public: void __cdecl AIS_LocalStatus::`default constructor closure'(void) __ptr64
public: void __cdecl gp_Trsf::SetForm(enum gp_TrsfForm) __ptr64
public: void __cdecl OpenGl_Context::`default constructor closure'(void) __ptr64
public: void __cdecl OpenGl_ShaderProgram::`default constructor closure'(void) __ptr64
public: void __cdecl OSD_Chronometer::`default constructor closure'(void) __ptr64
public: void __cdecl PrsMgr_PresentableObject::`default constructor closure'(void) __ptr64
public: void __cdecl Select3D_SensitivePoly::Points3D(class opencascade::handle<class TColgp_HArray1OfPnt> 
& __ptr64) __ptr64
public: void __cdecl SelectBasics_EntityOwner::`default constructor closure'(void) __ptr64
public: void __cdecl SelectMgr_EntityOwner::`default constructor closure'(void) __ptr64
public: void __cdecl SelectMgr_SelectableObject::`default constructor closure'(void) __ptr64
public: void __cdecl SelectMgr_SelectingVolumeManager::`default constructor closure'(void) __ptr64
public: void __cdecl SelectMgr_Selection::`default constructor closure'(void) __ptr64
public: void __cdecl Standard_Mutex::Unlock(void) __ptr64
public: void __cdecl Standard_OutOfMemory::`default constructor closure'(void) __ptr64
public: __cdecl gp_Elips2d::gp_Elips2d(class gp_Ax22d const & __ptr64,double,double) __ptr64
public: __cdecl gp_Hypr2d::gp_Hypr2d(class gp_Ax2d const & __ptr64,double,double,unsigned int) __ptr64

public: __cdecl IntLineOffsetedSurface::IntLineOffsetedSurface(class opencascade::handle<class Adaptor3d_HSurface> 
const & __ptr64,class gp_Pnt const & __ptr64,class gp_Dir const & __ptr64,double) __ptr64

public: __cdecl IntLineSurface::IntLineSurface(class opencascade::handle<class Adaptor3d_HSurface> 
const & __ptr64,class gp_Pnt const & __ptr64,class gp_Dir const & __ptr64) __ptr64
public: __cdecl Message_ExecStatus::Message_ExecStatus(enum Message_Status) __ptr64
public: __cdecl Message_ExecStatus::Message_ExecStatus(void) __ptr64
public: class gp_Ax2d __cdecl gp_Hypr2d::XAxis(void)const __ptr64
public: class gp_Elips2d __cdecl gp_Elips2d::Rotated(class gp_Pnt2d const & __ptr64,double)const 
__ptr64
public: class gp_Elips2d __cdecl gp_Elips2d::Scaled(class gp_Pnt2d const & __ptr64,double)const __ptr64

public: class gp_Elips2d __cdecl gp_Elips2d::Transformed(class gp_Trsf2d const & __ptr64)const __ptr64

public: class gp_Elips2d __cdecl gp_Elips2d::Translated(class gp_Pnt2d const & __ptr64,class gp_Pnt2d 
const & __ptr64)const __ptr64
public: class gp_Elips2d __cdecl gp_Elips2d::Translated(class gp_Vec2d const & public: class gp_Pnt 
const & __ptr64 __cdecl BRepExtrema_DistShapeShape::PointOnShape1(int)const __ptr64
public: class gp_Pnt const & __ptr64 __cdecl BRepExtrema_DistShapeShape::PointOnShape2(int)const 
__ptr64
public: class Message_ExecStatus & __ptr64 __cdecl Message_ExecStatus::operator=(class Message_ExecStatus 
const & __ptr64) __ptr64
public: class Message_ExecStatus const & __ptr64 __cdecl Message_ExecStatus::operator&=(class 
Message_ExecStatus const & __ptr64) __ptr64
public: class Message_ExecStatus const & __ptr64 __cdecl Message_ExecStatus::operator|=(class Message_ExecStatus 
const & __ptr64) __ptr64
public: class Message_ProgressScale const & __ptr64 __cdecl Message_ProgressIndicator::GetScope(int)const 
__ptr64
public: enum BRepExtrema_SupportType __cdecl BRepExtrema_DistShapeShape::SupportTypeShape1(int)const 
__ptr64
public: enum BRepExtrema_SupportType __cdecl BRepExtrema_DistShapeShape::SupportTypeShape2(int)const 
__ptr64
public: enum gp_TrsfForm __cdecl gp_GTrsf::Form(void)const __ptr64
public: int __cdecl BRepExtrema_DistShapeShape::NbSolution(void)const __ptr64
public: int __cdecl Message_ProgressIndicator::GetNbScopes(void)const __ptr64
public: int __cdecl NCollection_UBTreeFiller<class Poly_CoherentTriangle const * __ptr64,class Bnd_B3f>::Fill(void) 
__ptr64
public: int __cdecl NCollection_UBTreeFiller<int,class Bnd_B3f>::Fill(void) __ptr64
public: static double __cdecl ElCLib::Parameter(class gp_Lin const & __ptr64,class gp_Pnt const & 
__ptr64)
public: static enum Message_Status __cdecl Message_ExecStatus::StatusByIndex(int)
public: static enum Message_StatusType __cdecl Message_ExecStatus::TypeOfStatus(enum Message_Status)

public: void __cdecl gp_Circ2d::SetLocation(class gp_Pnt2d const & __ptr64) __ptr64
public: void __cdecl gp_Elips2d::Rotate(class gp_Pnt2d const & __ptr64,double) __ptr64
public: void __cdecl gp_Elips2d::Scale(class gp_Pnt2d const & __ptr64,double) __ptr64
public: void __cdecl gp_Elips2d::SetAxis(class gp_Ax22d const & __ptr64) __ptr64
public: void __cdecl gp_Elips2d::SetLocation(class gp_Pnt2d const & __ptr64) __ptr64
public: void __cdecl gp_Elips2d::SetMajorRadius(double) __ptr64
public: void __cdecl gp_Elips2d::SetMinorRadius(double) __ptr64
public: void __cdecl gp_Elips2d::SetXAxis(class gp_Ax2d const & __ptr64) __ptr64
public: void __cdecl gp_Elips2d::SetYAxis(class gp_Ax2d const & __ptr64) __ptr64
public: void __cdecl gp_Elips2d::Transform(class gp_Trsf2d const & __ptr64) __ptr64
public: void __cdecl gp_Elips2d::Translate(class gp_Pnt2d const & __ptr64,class gp_Pnt2d const & 
__ptr64) __ptr64
public: void __cdecl gp_Elips2d::Translate(class gp_Vec2d const & __ptr64) __ptr64
public: void __cdecl gp_Lin2d::Scale(class gp_Pnt2d const & __ptr64,double) __ptr64
public: void __cdecl gp_Parab::SetPosition(class gp_Ax2 const & __ptr64) __ptr64
public: void __cdecl gp_Torus::VReverse(void) __ptr64
public: void __cdecl IGESControl_Controller::`default constructor closure'(void) __ptr64
public: void __cdecl LDOM_XmlWriter::`default constructor closure'(void) __ptr64
public: void __cdecl Message_ExecStatus::Add(class Message_ExecStatus const & __ptr64) __ptr64
public: void __cdecl Message_ExecStatus::And(class Message_ExecStatus const & __ptr64) __ptr64
public: void __cdecl Message_ExecStatus::Clear(enum Message_Status) __ptr64
public: void __cdecl Message_ExecStatus::Clear(void) __ptr64
public: void __cdecl Message_ExecStatus::ClearAllAlarm(void) __ptr64
public: void __cdecl Message_ExecStatus::ClearAllDone(void) __ptr64
public: void __cdecl Message_ExecStatus::ClearAllFail(void) __ptr64
public: void __cdecl Message_ExecStatus::ClearAllWarn(void) __ptr64
public: void __cdecl Message_ExecStatus::Set(enum Message_Status) __ptr64
public: void __cdecl Message_ExecStatus::SetAllAlarm(void) __ptr64
public: void __cdecl Message_ExecStatus::SetAllDone(void) __ptr64
public: void __cdecl Message_ExecStatus::SetAllFail(void) __ptr64
public: void __cdecl Message_ExecStatus::SetAllWarn(void) __ptr64
public: void __cdecl OSD_Chronometer::`default constructor closure'(void) __ptr64
public: void __cdecl Poly_CoherentTriangulation::`default constructor closure'(void) __ptr64
public: void __cdecl TColStd_HPackedMapOfInteger::`default constructor closure'(void) __ptr64
public: void __cdecl Transfer_ProcessForTransient::`default constructor closure'(void) __ptr64
public: void __cdecl Transfer_TransientProcess::`default constructor closure'(void) __ptr64
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0054695)
git (administrator)
2016-06-03 15:52

Branch CR27562 has been created by kgv.

SHA-1: 54d3d1c36fc1cbc1a1dbab7dc04de3e79463e7c5


Detailed log of new commits:

Author: kgv
Date: Fri Jun 3 15:35:52 2016 +0300

    0027562: Coding - avoid exporting of inline methods
(0054696)
kgv (developer)
2016-06-03 15:52

Please check compilation, regression testing is not needed.
(0054723)
apv (tester)
2016-06-06 11:49

Dear BugMaster,

Branch CR27562 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 54d3d1c36fc1cbc1a1dbab7dc04de3e79463e7c5

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 4
   MacOS: 1123
(0055150)
git (administrator)
2016-06-17 12:14

Branch CR27562 has been deleted by inv.

SHA-1: 54d3d1c36fc1cbc1a1dbab7dc04de3e79463e7c5

- Related Changesets
occt: master be5c3602
Timestamp: 2016-06-03 12:35:52
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027562: Coding - avoid exporting of inline methods
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/Bnd/Bnd_B2d.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Edge.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_OrientedEdge.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfIndex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfPolygon.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Triangle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Vertex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.hxx Diff ] File ]
mod - src/ElCLib/ElCLib.hxx Diff ] File ]
mod - src/gp/gp_Ax2.hxx Diff ] File ]
mod - src/gp/gp_Ax3.hxx Diff ] File ]
mod - src/gp/gp_Circ2d.hxx Diff ] File ]
mod - src/gp/gp_Elips2d.hxx Diff ] File ]
mod - src/gp/gp_GTrsf.hxx Diff ] File ]
mod - src/gp/gp_Hypr2d.hxx Diff ] File ]
mod - src/gp/gp_Lin.hxx Diff ] File ]
mod - src/gp/gp_Lin2d.hxx Diff ] File ]
mod - src/gp/gp_Parab.hxx Diff ] File ]
mod - src/gp/gp_Pnt2d.hxx Diff ] File ]
mod - src/gp/gp_Quaternion.hxx Diff ] File ]
mod - src/gp/gp_Torus.hxx Diff ] File ]
mod - src/gp/gp_Trsf.hxx Diff ] File ]
mod - src/Message/Message_ExecStatus.hxx Diff ] File ]
mod - src/Message/Message_ProgressIndicator.hxx Diff ] File ]
mod - src/NCollection/NCollection_UBTreeFiller.hxx Diff ] File ]
mod - src/Precision/Precision.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandlerCallback.hxx Diff ] File ]
mod - src/Standard/Standard_Mutex.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.hxx Diff ] File ]
mod - src/Standard/Standard_Type.hxx Diff ] File ]
mod - src/TDF/TDF_Data.hxx Diff ] File ]
mod - src/TDF/TDF_Transaction.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.hxx Diff ] File ]
mod - src/TObj/TObj_Model.hxx Diff ] File ]
mod - src/TObj/TObj_Object.hxx Diff ] File ]
mod - src/TObj/TObj_Partition.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-02 16:54 kgv New Issue
2016-06-02 16:54 kgv Assigned To => kgv
2016-06-03 15:52 git Note Added: 0054695
2016-06-03 15:52 kgv Note Added: 0054696
2016-06-03 15:52 kgv Assigned To kgv => bugmaster
2016-06-03 15:52 kgv Priority normal => low
2016-06-03 15:52 kgv Severity minor => trivial
2016-06-03 15:52 kgv Status new => resolved
2016-06-03 15:52 kgv Status resolved => reviewed
2016-06-03 16:07 apv Assigned To bugmaster => apv
2016-06-06 11:48 apv Test case number => Not needed
2016-06-06 11:49 apv Note Added: 0054723
2016-06-06 11:49 apv Assigned To apv => bugmaster
2016-06-06 11:49 apv Status reviewed => tested
2016-06-10 13:12 bugmaster Changeset attached => occt master be5c3602
2016-06-10 13:12 bugmaster Status tested => verified
2016-06-10 13:12 bugmaster Resolution open => fixed
2016-06-17 12:14 git Note Added: 0055150
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker